Skip to main content
GET
/
v2
/
escrow
/
{chainId}
/
{escrowId}
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.escrow.lucidGetEscrow({
    chainId: "<id>",
    escrowId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "escrow": {
    "escrowId": "<string>",
    "depositor": "<string>",
    "beneficiary": "<string>",
    "token": "<string>",
    "amount": "<string>",
    "createdAt": "<string>",
    "expiresAt": "<string>",
    "expectedReceiptHash": "<string>",
    "status": "Created"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

chainId
string
required

Blockchain chain identifier (e.g. base, solana-devnet)

escrowId
string
required

Escrow identifier on the specified chain

Response

Escrow details

success
boolean
required
escrow
object